Add a new portal
Add a new portal to account
curl --request POST \
--url https://app.tied.com/api/v1/accounts/{account_id}/portals \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"color": "#FFFFFF",
"custom_domain": "tied.help",
"header_text": "Handbook",
"homepage_link": "https://tied.com/",
"name": "Handbook",
"page_title": "Handbook",
"slug": "handbook",
"archived": false,
"config": {
"allowed_locales": [
"en",
"es"
],
"default_locale": "en"
}
}
'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/portals"
payload = {
"color": "#FFFFFF",
"custom_domain": "tied.help",
"header_text": "Handbook",
"homepage_link": "https://tied.com/",
"name": "Handbook",
"page_title": "Handbook",
"slug": "handbook",
"archived": False,
"config": {
"allowed_locales": ["en", "es"],
"default_locale": "en"
}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
color: '#FFFFFF',
custom_domain: 'tied.help',
header_text: 'Handbook',
homepage_link: 'https://tied.com/',
name: 'Handbook',
page_title: 'Handbook',
slug: 'handbook',
archived: false,
config: {allowed_locales: ['en', 'es'], default_locale: 'en'}
})
};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/portals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api_access_token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"color\": \"#FFFFFF\",\n \"custom_domain\": \"tied.help\",\n \"header_text\": \"Handbook\",\n \"homepage_link\": \"https://tied.com/\",\n \"name\": \"Handbook\",\n \"page_title\": \"Handbook\",\n \"slug\": \"handbook\",\n \"archived\": false,\n \"config\": {\n \"allowed_locales\": [\n \"en\",\n \"es\"\n ],\n \"default_locale\": \"en\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/portals"
payload := strings.NewReader("{\n \"color\": \"#FFFFFF\",\n \"custom_domain\": \"tied.help\",\n \"header_text\": \"Handbook\",\n \"homepage_link\": \"https://tied.com/\",\n \"name\": \"Handbook\",\n \"page_title\": \"Handbook\",\n \"slug\": \"handbook\",\n \"archived\": false,\n \"config\": {\n \"allowed_locales\": [\n \"en\",\n \"es\"\n ],\n \"default_locale\": \"en\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("api_access_token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 13,
"color": null,
"custom_domain": null,
"header_text": null,
"homepage_link": null,
"name": "Support centre 112426",
"page_title": null,
"slug": "support-112426",
"archived": false,
"account_id": 1,
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 0,
"categories_count": 0
}
]
},
"meta": {
"all_articles_count": 0,
"archived_articles_count": null,
"published_count": null,
"draft_articles_count": null,
"categories_count": 0,
"default_locale": "en"
}
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
Header color for help-center in hex format
"#FFFFFF"
Custom domain to display help center.
"tied.help"
Help center header
"Handbook"
link to main dashboard
"https://tied.com/"
Name for the portal
"Handbook"
Page title for the portal
"Handbook"
Slug for the portal to display in link
"handbook"
Status to check if portal is live
false
Configuration about supporting locales
{
"allowed_locales": ["en", "es"],
"default_locale": "en"
}
Response
Success
The portals in the account.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://app.tied.com/api/v1/accounts/{account_id}/portals \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"color": "#FFFFFF",
"custom_domain": "tied.help",
"header_text": "Handbook",
"homepage_link": "https://tied.com/",
"name": "Handbook",
"page_title": "Handbook",
"slug": "handbook",
"archived": false,
"config": {
"allowed_locales": [
"en",
"es"
],
"default_locale": "en"
}
}
'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/portals"
payload = {
"color": "#FFFFFF",
"custom_domain": "tied.help",
"header_text": "Handbook",
"homepage_link": "https://tied.com/",
"name": "Handbook",
"page_title": "Handbook",
"slug": "handbook",
"archived": False,
"config": {
"allowed_locales": ["en", "es"],
"default_locale": "en"
}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
color: '#FFFFFF',
custom_domain: 'tied.help',
header_text: 'Handbook',
homepage_link: 'https://tied.com/',
name: 'Handbook',
page_title: 'Handbook',
slug: 'handbook',
archived: false,
config: {allowed_locales: ['en', 'es'], default_locale: 'en'}
})
};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/portals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api_access_token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"color\": \"#FFFFFF\",\n \"custom_domain\": \"tied.help\",\n \"header_text\": \"Handbook\",\n \"homepage_link\": \"https://tied.com/\",\n \"name\": \"Handbook\",\n \"page_title\": \"Handbook\",\n \"slug\": \"handbook\",\n \"archived\": false,\n \"config\": {\n \"allowed_locales\": [\n \"en\",\n \"es\"\n ],\n \"default_locale\": \"en\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/portals"
payload := strings.NewReader("{\n \"color\": \"#FFFFFF\",\n \"custom_domain\": \"tied.help\",\n \"header_text\": \"Handbook\",\n \"homepage_link\": \"https://tied.com/\",\n \"name\": \"Handbook\",\n \"page_title\": \"Handbook\",\n \"slug\": \"handbook\",\n \"archived\": false,\n \"config\": {\n \"allowed_locales\": [\n \"en\",\n \"es\"\n ],\n \"default_locale\": \"en\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("api_access_token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 13,
"color": null,
"custom_domain": null,
"header_text": null,
"homepage_link": null,
"name": "Support centre 112426",
"page_title": null,
"slug": "support-112426",
"archived": false,
"account_id": 1,
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 0,
"categories_count": 0
}
]
},
"meta": {
"all_articles_count": 0,
"archived_articles_count": null,
"published_count": null,
"draft_articles_count": null,
"categories_count": 0,
"default_locale": "en"
}
}{
"error": "Resource could not be found"
}